Angular Gallery - Customize Item Appearance

Gallery items are not sctrictly images. They can contain text or other elements of your choice. For a minor customization of Gallery items, you can define specific fields in item data objects. For example, the following code generates two items: one is disabled and the other has a specified alt attribute.

HTML
TypeScript
  • <dx-gallery
  • [dataSource]="galleryDataSource"
  • [height]="300">
  • </dx-gallery>
  • import { DxGalleryModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • galleryDataSource = [{
  • imageSrc: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person1.png",
  • disabled: true
  • }, {
  • imageSrc: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person2.png",
  • imageAlt: "Peter"
  • }];
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxGalleryModule
  • ],
  • // ...
  • })

If you need a more flexible solution, define an itemTemplate.

HTML
TypeScript
  • <dx-gallery
  • [dataSource]="galleryDataSource"
  • [height]="300"
  • itemTemplate="item">
  • <div *dxTemplate="let data of 'item'">
  • <p><b>Name</b>: <span>{{data.name}}</span></p>
  • <img src="{{data.path}}" alt="{{data.name}}" />
  • </div>
  • </dx-gallery>
  • import { DxGalleryModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • galleryDataSource = [
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person1.png", name: "Maria" },
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person2.png", name: "John" },
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person3.png", name: "Xavier" }
  • ];
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxGalleryModule
  • ],
  • // ...
  • })

Built-In Template Engine Demo 3rd-Party Template Engine Demo

See Also

React Gallery - Customize Item Appearance

Gallery items are not sctrictly images. They can contain text or other elements of your choice. For a minor customization of Gallery items, you can define specific fields in item data objects. For example, the following code generates two items: one is disabled and the other has a specified alt attribute.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Gallery } from 'devextreme-react/gallery';
  •  
  • const dataSource = [{
  • imageSrc: 'https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person1.png',
  • disabled: true
  • }, {
  • imageSrc: 'https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person2.png',
  • imageAlt: 'Peter'
  • }];
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Gallery
  • dataSource={dataSource}
  • height={300}
  • />
  • );
  • }
  • }
  •  
  • export default App;

If you need a more flexible solution, define an itemTemplate.

  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { Gallery } from 'devextreme-react/gallery';
  •  
  • const dataSource = [
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person1.png", name: "Maria" },
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person2.png", name: "John" },
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person3.png", name: "Xavier" }
  • ];
  •  
  • const renderGalleryItem = (itemData) => {
  • return (
  • <div>
  • <p><b>Name</b>: <span>{itemData.name}</span></p>
  • <img src={itemData.path} alt={itemData.name} />
  • </div>
  • );
  • }
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <Gallery
  • dataSource={dataSource}
  • height={300}
  • itemRender={renderGalleryItem}
  • />
  • );
  • }
  • }
  •  
  • export default App;

Built-In Template Engine Demo 3rd-Party Template Engine Demo

See Also

Vue Gallery - Customize Item Appearance

Gallery items are not sctrictly images. They can contain text or other elements of your choice. For a minor customization of Gallery items, you can define specific fields in item data objects. For example, the following code generates two items: one is disabled and the other has a specified alt attribute.

  • <template>
  • <DxGallery
  • :data-source="dataSource"
  • :height="300"
  • />
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxGallery } from 'devextreme-vue/gallery';
  •  
  • export default {
  • components: {
  • DxGallery
  • },
  • data() {
  • return {
  • dataSource: [{
  • imageSrc: 'https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person1.png',
  • disabled: true
  • }, {
  • imageSrc: 'https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person2.png',
  • imageAlt: 'Peter'
  • }]
  • };
  • }
  • }
  • </script>

If you need a more flexible solution, define an itemTemplate.

  • <template>
  • <DxGallery
  • :data-source="dataSource"
  • :height="300"
  • item-template="item">
  • <template #item="{ data }">
  • <div>
  • <p><b>Name</b>: <span>{{data.name}}</span></p>
  • <img :src="data.path" :alt="data.name" />
  • </div>
  • </template>
  • </DxGallery>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxGallery } from 'devextreme-vue/gallery';
  •  
  • export default {
  • components: {
  • DxGallery
  • },
  • data() {
  • return {
  • dataSource: [
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person1.png", name: "Maria" },
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person2.png", name: "John" },
  • { path: "https://js.devexpress.com/Content/images/doc/23_2/PhoneJS/person3.png", name: "Xavier" }
  • ]
  • };
  • }
  • }
  • </script>

Built-In Template Engine Demo 3rd-Party Template Engine Demo

See Also